import { Loader } from "pixi.js"

export function loadResources(init: Function) {
  Loader.shared
    .add("Door", "assets/Door.json")
    .add("AdventureButtons", "assets/AdventureButtons.json")
    .add("Background", "assets/Background.png")
    .add("Human", "assets/Human.png")
    .add("Face", "assets/ExampleFace.png")
    .add("pixelfont_fnt", "assets/Fonts/Visitor2.fnt")
    .load(setup)

  function setup(loader: Loader) {
    init()
  }
}
